BeagleWksDBParser Class Reference documentation

BeagleWksDBParser Class Referencefinal

the main class to read a BeagleWorks database file More...

`#include <BeagleWksDBParser.hxx>`

Inheritance diagram for BeagleWksDBParser:

## Public Member Functions
| BeagleWksDBParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~BeagleWksDBParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWSpreadsheetParser
| ~MWAWSpreadsheetParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches)
bool | sendDatabase ()
| try to send the main database
bool | sendText (MWAWEntry const &entry, bool headerFooter=false)
| try to send a text zone
bool | sendPageFrames ()
| try to send the page graphic
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame
bool | sendPicture (int pId, MWAWPosition const &pos, bool readEDTP, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture
bool | createZones ()
| finds the different objects zones
bool | readRSRCZones ()
| read the resource fork zone
bool | readPrintInfo ()
| read the print info zone
bool | readDatabase ()
| read the database zone
bool | readRow ()
| read a row
bool | readFields ()
| read the fields list
bool | readLayouts ()
| read the layout zone
bool | readLayout (int id)
| read a layout zone
bool | readFormat (MWAWCell &cell, std::string &extra)
| try to read a cell's format+font
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc
Protected Member Functions inherited from MWAWSpreadsheetParser
| MWAWSpreadsheetParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWSpreadsheetParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< BeagleWksDBParserInternal::State > | m_state
| the state
std::shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager

## Friends
class | BeagleWksDBParserInternal::SubDocument

## Detailed Description

the main class to read a BeagleWorks database file

## Constructor & Destructor Documentation

## ◆ BeagleWksDBParser()

BeagleWksDBParser::BeagleWksDBParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~BeagleWksDBParser()

BeagleWksDBParser::~BeagleWksDBParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool BeagleWksDBParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by BeagleWksDBParserInternal::SubDocument, and parse().

## ◆ createDocument()

void BeagleWksDBParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by BeagleWksDBParserInternal::SubDocument, and parse().

## ◆ createZones()

bool BeagleWksDBParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by BeagleWksDBParserInternal::SubDocument, and parse().

## ◆ getPageLeftTop()

MWAWVec2f BeagleWksDBParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

Referenced by BeagleWksDBParserInternal::SubDocument.

## ◆ init()

void BeagleWksDBParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by BeagleWksDBParser(), and BeagleWksDBParserInternal::SubDocument.

## ◆ parse()

void BeagleWksDBParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWSpreadsheetParser.

Referenced by BeagleWksDBParserInternal::SubDocument.

## ◆ readDatabase()

bool BeagleWksDBParser::readDatabase | ( |  | ) |
| protected

read the database zone

Referenced by BeagleWksDBParserInternal::SubDocument, and createZones().

## ◆ readFields()

bool BeagleWksDBParser::readFields | ( |  | ) |
| protected

read the fields list

Referenced by BeagleWksDBParserInternal::SubDocument, and readDatabase().

## ◆ readFormat()

bool BeagleWksDBParser::readFormat | ( | MWAWCell & | cell,
|  | std::string & | extra )
| protected

try to read a cell's format+font

Referenced by BeagleWksDBParserInternal::SubDocument, readDatabase(), and readLayout().

## ◆ readLayout()

bool BeagleWksDBParser::readLayout | ( | int | id | ) |
| protected

read a layout zone

Referenced by BeagleWksDBParserInternal::SubDocument, and readLayouts().

## ◆ readLayouts()

bool BeagleWksDBParser::readLayouts | ( |  | ) |
| protected

read the layout zone

Referenced by BeagleWksDBParserInternal::SubDocument, and readDatabase().

## ◆ readPrintInfo()

bool BeagleWksDBParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by BeagleWksDBParserInternal::SubDocument, checkHeader(), and createZones().

## ◆ readRow()

bool BeagleWksDBParser::readRow | ( |  | ) |
| protected

read a row

Referenced by BeagleWksDBParserInternal::SubDocument, and readDatabase().

## ◆ readRSRCZones()

bool BeagleWksDBParser::readRSRCZones | ( |  | ) |
| protected

read the resource fork zone

Referenced by BeagleWksDBParserInternal::SubDocument, and createZones().

## ◆ rsrcAscii()

libmwaw::DebugFile & BeagleWksDBParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by BeagleWksDBParserInternal::SubDocument.

## ◆ rsrcInput()

MWAWInputStreamPtr BeagleWksDBParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by BeagleWksDBParserInternal::SubDocument.

## ◆ sendDatabase()

bool BeagleWksDBParser::sendDatabase | ( |  | ) |
| protected

try to send the main database

Referenced by BeagleWksDBParserInternal::SubDocument, and parse().

## ◆ sendFrame()

bool BeagleWksDBParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |
| protected

try to send a frame

Referenced by BeagleWksDBParserInternal::SubDocument, and sendPageFrames().

## ◆ sendPageFrames()

bool BeagleWksDBParser::sendPageFrames | ( |  | ) |
| protected

try to send the page graphic

Referenced by BeagleWksDBParserInternal::SubDocument.

## ◆ sendPicture()

bool BeagleWksDBParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | bool | readEDTP,
|  | MWAWGraphicStyle const & | style = MWAWGraphicStyle::emptyStyle() )
| protected

try to send a picture

Referenced by BeagleWksDBParserInternal::SubDocument, sendDatabase(), and sendFrame().

## ◆ sendText()

bool BeagleWksDBParser::sendText | ( | MWAWEntry const & | entry,
|  | bool | headerFooter = false )
| protected

try to send a text zone

Referenced by BeagleWksDBParserInternal::SubDocument.

## Friends And Related Symbol Documentation

## ◆ BeagleWksDBParserInternal::SubDocument

friend class BeagleWksDBParserInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_state

std::shared_ptr<BeagleWksDBParserInternal::State> BeagleWksDBParser::m_state
| protected

the state

Referenced by BeagleWksDBParser(), checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), readDatabase(), readFields(), readRow(), and sendDatabase().

## ◆ m_structureManager

std::shared_ptr<BeagleWksStructManager> BeagleWksDBParser::m_structureManager
| protected

the structure manager

Referenced by BeagleWksDBParser(), createDocument(), createZones(), init(), readRSRCZones(), sendPageFrames(), and sendPicture().

The documentation for this class was generated from the following files:

- BeagleWksDBParser.hxx
- BeagleWksDBParser.cxx